Bug 50883 - System freeze when logging out of X.
System freeze when logging out of X.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-04 09:59 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-13 03:08:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-04 09:59:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
My computer is perfect,it runs all of OS include w98,w2k,linux7.0alpha.... 
flawlessly.
 With linux7.1 ,every times i logout from kde/gnome ,the computer halted, 
and the next boot will report that the partition has errors and can't 
autorepair itself.
 Same problem happend although i tried to avoid logging out by reset the 
computer instead of logging out.So i believed that X-Window caused some 
kind of critical mistake when it start to boot the GUI.
 if i bypass the GUI and use lon-in-by-text-only then no prob happends.but 
if i use startx,then things would go wrong.
 It happend continuosly,every times,and as a programmer,i addressed it's 
Linux' error,not my hardware.
Please help.

How reproducible:
Always

Steps to Reproduce:
1.intsall linux with X in any configuration,
2.Run KDE/Gnomde
3.Logout ,then the computer halted.
4.reboot: the file system badly damaged
	

Additional info:
Comment 1 Mike A. Harris 2001-08-08 01:09:23 EDT
You have not given any useful information to begin to guess what
the problem could be.  If your system crashes and you have to reboot,
and it doesn't autorepair, then that doesn't in any way mean the
partition is destroyed.  It means you have to run fsck manually
to correct disk errors.  "man fsck" and "man e2fsck" for details.

Using the link below, please attach your XFree86 log and your
X config file as well. Those are required in order to look into this.
Also provide the output of "lspci -v"
Comment 2 Need Real Name 2001-08-09 08:36:09 EDT
It happend with Genuin Dell pre-install PC too.
When I changed hostname with GNOME's "Network Setting" tool.
My PC crushed completely and it happend several times.

It seems like the tool never changing corresponding names for 
daemons.
Comment 3 Need Real Name 2001-08-13 03:08:34 EDT
Yes, i know what was happening now, that is S3 driver !
I replaced that driver by the one which provided by S3, it works now, but new 
driver has some bugs though.
Comment 4 Mike A. Harris 2002-01-25 05:32:42 EST
Please reopen bug after attaching the previously requested information
if this problem persists.  Before doing so, make sure you are running
the latest Red Hat Linux updates from our ftp site or via up2date.

Note You need to log in before you can comment on or make changes to this bug.